Iscsi Manager Query Bound Vnics

Iscsi Manager Query Bound Vnics
Query the list of Virtual NICs that are bound to a given iSCSI HBA.

Query the list of Virtual NICs that are bound to a given iSCSI HBA.

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/IscsiManager/{moId}/QueryBoundVnics
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case IscsiManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryBoundVnicsRequestType of type(s) application/json
Required
{
    "iScsiHbaName": "string"
}
string
iScsiHbaName
Required

iSCSI adapter name for which the method to be applied.

Authentication
This operation uses the following authentication methods.
Responses
200

An array of IscsiPortInfo containing detailed information on the list of Virtual NICs bound to the adapter

[
    {
        "_typeName": "string",
        "vnicDevice": "string",
        "vnic": {
            "_typeName": "string",
            "device": "string",
            "key": "string",
            "portgroup": "string",
            "spec": {
                "_typeName": "string",
                "dynamicProperty": [
                    {
                        "_typeName": "string",
                        "name": "string",
                        "val": {
                            "_typeName": "string"
                        }
                    }
                ],
                "ip": {
                    "_typeName": "string",
                    "dhcp": false,
                    "ipAddress": "string",
                    "subnetMask": "string",
                    "ipV6Config": {
                        "_typeName": "string",
                        "ipV6Address": [
                            {
                                "_typeName": "string",
                                "ipAddress": "string",
                                "prefixLength": 0,
                                "origin": "string",
                                "dadState": "string",
                                "lifetime": "string",
                                "operation": "string"
                            }
                        ],
                        "autoConfigurationEnabled": false,
                        "dhcpV6Enabled": false
                    }
                },
                "mac": "string",
                "distributedVirtualPort": {
                    "_typeName": "string",
                    "switchUuid": "string",
                    "portgroupKey": "string",
                    "portKey": "string",
                    "connectionCookie": 0
                },
                "portgroup": "string",
                "mtu": 0,
                "tsoEnabled": false,
                "netStackInstanceKey": "string",
                "opaqueNetwork": {
                    "_typeName": "string",
                    "opaqueNetworkId": "string",
                    "opaqueNetworkType": "string"
                },
                "externalId": "string",
                "pinnedPnic": "string",
                "ipRouteSpec": {
                    "_typeName": "string",
                    "ipRouteConfig": {
                        "_typeName": "string",
                        "defaultGateway": "string",
                        "gatewayDevice": "string",
                        "ipV6DefaultGateway": "string",
                        "ipV6GatewayDevice": "string"
                    }
                },
                "systemOwned": false,
                "dpuId": "string"
            },
            "port": "string",
            "owner": "string"
        },
        "pnicDevice": "string",
        "pnic": {
            "_typeName": "string",
            "key": "string",
            "device": "string",
            "pci": "string",
            "driver": "string",
            "driverVersion": "string",
            "firmwareVersion": "string",
            "linkSpeed": {
                "_typeName": "string",
                "speedMb": 0,
                "duplex": false
            },
            "validLinkSpecification": [
                {
                    "_typeName": "string",
                    "speedMb": 0,
                    "duplex": false
                }
            ],
            "spec": {
                "_typeName": "string",
                "ip": {
                    "_typeName": "string",
                    "dhcp": false,
                    "ipAddress": "string",
                    "subnetMask": "string",
                    "ipV6Config": {
                        "_typeName": "string",
                        "ipV6Address": [
                            {
                                "_typeName": "string",
                                "ipAddress": "string",
                                "prefixLength": 0,
                                "origin": "string",
                                "dadState": "string",
                                "lifetime": "string",
                                "operation": "string"
                            }
                        ],
                        "autoConfigurationEnabled": false,
                        "dhcpV6Enabled": false
                    }
                },
                "linkSpeed": {
                    "_typeName": "string",
                    "speedMb": 0,
                    "duplex": false
                },
                "enableEnhancedNetworkingStack": false,
                "ensInterruptEnabled": false
            },
            "wakeOnLanSupported": false,
            "mac": "string",
            "fcoeConfiguration": {
                "_typeName": "string",
                "priorityClass": 0,
                "sourceMac": "string",
                "vlanRange": [
                    {
                        "_typeName": "string",
                        "vlanLow": 0,
                        "vlanHigh": 0
                    }
                ],
                "capabilities": {
                    "_typeName": "string",
                    "priorityClass": false,
                    "sourceMacAddress": false,
                    "vlanRange": false
                },
                "fcoeActive": false
            },
            "vmDirectPathGen2Supported": false,
            "vmDirectPathGen2SupportedMode": "string",
            "resourcePoolSchedulerAllowed": false,
            "resourcePoolSchedulerDisallowedReason": [
                "string"
            ],
            "autoNegotiateSupported": false,
            "enhancedNetworkingStackSupported": false,
            "ensInterruptSupported": false,
            "rdmaDevice": "string",
            "dpuId": "string",
            "perfNicOffloadSupported": false
        },
        "switchName": "string",
        "switchUuid": "string",
        "portgroupName": "string",
        "portgroupKey": "string",
        "portKey": "string",
        "opaqueNetworkId": "string",
        "opaqueNetworkType": "string",
        "opaqueNetworkName": "string",
        "externalId": "string",
        "complianceStatus": {
            "_typeName": "string",
            "reason": [
                {
                    "_typeName": "string",
                    "faultCause": {
                        "_typeName": "string",
                        "faultCause": "MethodFault Object",
                        "faultMessage": [
                            {
                                "_typeName": "string",
                                "key": "string",
                                "arg": [
                                    {
                                        "_typeName": "string",
                                        "key": "string",
                                        "value": {
                                            "_typeName": "string"
                                        }
                                    }
                                ],
                                "message": "string"
                            }
                        ]
                    },
                    "faultMessage": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "arg": [
                                {
                                    "_typeName": "string",
                                    "key": "string",
                                    "value": {
                                        "_typeName": "string"
                                    }
                                }
                            ],
                            "message": "string"
                        }
                    ]
                }
            ]
        },
        "pathStatus": "string"
    }
]
array of object
Optional

The IscsiPortInfo data object describes the Virtual NIC that are bound to an iSCSI adapter and also it describes the candidate Virtual NICs that can be bound to a given iSCSI adapter.


500

IscsiFault: For any problem that is not handled with a more specific fault.

NotFound: If the given HBA is not found

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": "MethodFault Object",
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"iScsiHbaName":"string"}' https://{api_host}/sdk/vim25/{release}/IscsiManager/{moId}/QueryBoundVnics